class test_list{

public mfl.Number get_test_list(){
  mfl.Number result = new mfl.Number();
  mfl.Value m, lst;
  lst = new mfl.Enumerated_list(5).append(new mfl.Integer(1)).append(new mfl.Integer(2)).append(new mfl.Enumerated_list(1).append(new mfl.Integer(3))).append(new mfl.Integer(4)).append(new mfl.Integer(5));
  System.out.println(lst.index_op(new mfl.Integer(3)).toString());
  m = lst;
  lst = lst.update_element(new mfl.Integer(3), lst.index_op(new mfl.Integer(3)).op_update_element(new mfl.Integer(1), new mfl.Integer(10), "multiply_op"));
  lst = lst.update_element(new mfl.Integer(5), new mfl.Integer(50));
  System.out.println(lst.toString());
  System.out.println(lst.equal_op(new mfl.Enumerated_list(4).append(new mfl.Integer(1)).append(new mfl.Integer(2)).append(new mfl.Integer(30)).append(new mfl.Integer(50))).toString());
  System.out.println(new mfl.Enumerated_list(3).append(new mfl.Integer(1)).append(new mfl.Integer(2)).append(new mfl.Integer(3)).equal_op(new mfl.Enumerated_list(1).append(new mfl.Integer(1)).plus_op(new mfl.Enumerated_list(1).append(new mfl.Integer(2))).plus_op(new mfl.Enumerated_list(1).append(new mfl.Integer(3)))).toString());
  System.out.println(new mfl.Integer(1).new_range_list(new mfl.Integer(10)).plus_op(new mfl.Integer(2).new_range_list(new mfl.Integer(11))).toString());
  System.out.println(lst.index_op(new mfl.Integer(1), new mfl.Integer(3)).toString());
  System.out.println(lst.index_op(new mfl.Integer(2), new mfl.Integer(2147483647)).toString());
  System.out.println(lst.index_op(new mfl.Integer(2), new mfl.Integer(4)).toString());
  return result;
}

public static void main(String Argv[]){
  test_list m = new test_list();
  m.get_test_list();
}

}

